Contents

# Exit Statement

Exits a Do...Loop, For...Next, a function, a property, or a subroutine.

### Syntax:

    Exit Do, Exit For, Exit Function, Exit Property, Exit Sub

### Parameters:

Exit Do

Diiddo fulate ...Diiddo assi fooliishsho iddo calla addimmo ikkanno. pirogiraamete loosi Diiddo fooliishsho aantanno fooliishshonni sufaansantanno. ..Diiddo Assi fooliishsho…..,qorqoraasinchu albisufi aliidi deerriwa sa'anno…..

Exit For

Diiddo fulate ...ho Aantetenni diiddo giddo calla addimmo ikkanno. Pirogiraamete loosi Albisufi fooliishsho aantanno umi fooliishshonni sufamanno.nested….fooliishshuwa giddo, qorqoraasinchu albisufi aliidi deerriwa diiddote wido sa'anno.

Exit Function

Hakkawontenni Assishsha aante fuli. Pirogiraamete loosi Assishsha woshsho aantanno fooliishshonni sufamanno.

Exit Property

Exits the Property procedure immediately. Program execution continues with the statement that follows the Property call.

Exit Sub

Cinaanchobiddissa hakkawontenni fuli. Pirogiraamete loosi Cinaancho woshsho aantanno fooliishshonni sufamanno.

Fulote fooliishsho ganote jeeffo ditirtanno, qoleno jeeffote fooliishshonni soorrama dihasiissannose.

### Example:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        siQaafo = 0 Nni 10 geeshsha ' Dira jifamino daatinni wonshi
            sListArray(siStep) = chr(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    ' XuruuruHaso BorroteDira:sDirto() BorroteEora:
    ' Eote woy 0(Ona) mashalaqqisaancho qolanno
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                afamino sUduunnicho ' fuli
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function